


%fram3_exam_P7: examples of 3-channel tight frames
 %



n11=128;%input('length of signal; 0--former ?')

if n11~=0
n=n11
end

ll=1;


J=log2(n);

PD=1;
Parm=[1 2 7 3 6 8 12];

for mm=1:7
Par=Parm(mm);
IND=[3 Par 0];
    [Leo, FLeo]=fram3_lev_P(IND,n,1);


eval(['subplot(7,2,' int2str(2*mm-1) ')'])
for kk=1:3
a=Leo(kk,:);
plot(a,'LineWidth',2);
hold on
end
hold off

axis([15,n-15,-.5 1])
set(gca,'XTick',[15 n/2 n-15])
set(gca,'XTickLabel',{})
set(gca,'YTick',[15 n/2 n-15])
set(gca,'YTickLabel',{})
 set(gca,'Fontsize',1)
eval(['subplot(7,2,' int2str(2*mm) ')'])

for kk=[1 3]
a=FLeo(kk,1:n/2);
plot(a,'--','LineWidth',3);

hold on
end
kk=2;
a=FLeo(kk,1:n/2);
plot(a,'-','LineWidth',3);
axis([1,n/2,0 1.5])
set(gca,'XTick',[0 n/4 n/2])
set(gca,'XTickLabel',{})
 set(gca,'YTick',[0 n/4 n/2])
set(gca,'YTickLabel',{})
 set(gca,'Fontsize',1)
hold off


end

% Copyright (c) 2012. Valery A. Zheludev

